> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resubscribe a customer to campaigns and triggers



## OpenAPI

````yaml /openapi.json post /customers/{id}/resubscribe
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /customers/{id}/resubscribe:
    post:
      tags:
        - Customers
      summary: Resubscribe a customer to campaigns and triggers
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the customer
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - campaign
                      description: >-
                        The type of resubscribe. `campaign` in this case
                        indicates resubscribing to a single campaign
                    campaign_id:
                      type: string
                      description: The ID of the campaign to resubscribe to
                  required:
                    - type
                    - campaign_id
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - trigger
                      description: >-
                        The type of resubscribe. `trigger` in this case
                        indicates resubscribing to a single trigger
                    trigger_id:
                      type: string
                      description: The ID of the trigger to resubscribe to
                  required:
                    - type
                    - trigger_id
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - future
                      description: >-
                        The type of resubscribe. `future` in this case indicates
                        resubscribing to future campaigns. Does not resubscribe
                        the customer to any existing campaigns or triggers
                  required:
                    - type
      responses:
        '200':
          description: The `Customer` object which was resubscribed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
          description: The ID of the customer
        external_id:
          type: string
          nullable: true
          description: The external ID of the customer
        email_address:
          type: string
          nullable: true
          description: The email address of the customer
        phone_number:
          type: string
          nullable: true
          description: The phone number of the customer
        full_name:
          type: string
          nullable: true
          description: The full name of the customer
        metadata:
          type: object
          additionalProperties: true
          description: The metadata associated with this customer
        unsubscribed:
          type: string
          enum:
            - future
            - campaign
          nullable: true
          description: The unsubscribe status of the customer
      required:
        - id
        - external_id
        - email_address
        - phone_number
        - full_name
        - metadata
        - unsubscribed
      title: The Customer object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````